
QGIS Application - Bug report #3031

Latest SIP breaks python support

2010-09-21 10:30 AM - John Tull

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13091

Description

Using SIP 4.11.1 with [[PyQt]]-4.7.7, python support is not enabled in qgis at runtime. Here is the error dialog when starting Qgis:

Python version:

2.6.1 (r261:67515, Feb 11 2010, 15:47:53) 

[GCC 4.2.1 (Apple Inc. build 5646)]

QGIS version:

1.6.0-Trunk 'Trunk', 14237M

Python path:

['/Applications/qgis1.6.0.app/Contents/MacOS/share/qgis/python', '/Users/user/.qgis/python', '/Users/jctull/.qgis/python/plugins',

'/Applications/qgis1.6.0.app/Contents/MacOS/share/qgis/python/plugins', '/Library/Frameworks/SQLite3.framework/Versions/3/Python',

'/Library/Python/2.6/site-packages/numpy-override', '/Library/Frameworks/GDAL.framework/Versions/1.7/Python/site-packages',

'/Library/Python/2.6/site-packages/simplejson-2.1.1-py2.6-macosx-10.6-universal.egg',

'/Library/Python/2.6/site-packages/Shapely-1.2.2-py2.6.egg',

'/Library/Python/2.6/site-packages/rpy2-2.1.4_20100825-py2.6-macosx-10.6-universal.egg',

'/Library/Python/2.6/site-packages/lxml-2.2.8-py2.6-macosx-10.6-universal.egg',

'/Library/Python/2.6/site-packages/psycopg2-2.2.2-py2.6-macosx-10.6-universal.egg',

'/Library/Frameworks/cairo.framework/Versions/1/Python',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python26.zip',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-darwin',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac/lib-scriptpackages',

'/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-tk',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-old',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload', '/Library/Python/2.6/site-packages',

'/Library/Python/2.6/site-packages/PIL', '/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/PyObjC',

'/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/wx-2.8-mac-unicode']

History

#1 - 2010-09-21 12:23 PM - John Tull

- Resolution set to invalid

- Status changed from Open to Closed

Invalid: Works after complete rebuild of sip/pyqt/pyqwt...
